Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::PolygonStipple Class Reference

Inheritance diagram for osg::PolygonStipple:

[legend]
List of all members.

## Public Member Functions
| PolygonStipple ()
| PolygonStipple (const PolygonStipple &lw, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, PolygonStipple, POLYGONSTIPPLE)
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual bool | getModeUsage (ModeUsage &usage) const
| Return the modes associated with this StateAttribute.
void | setMask (const GLubyte *mask)
| set the mask up, copying 128 bytes (32x32 bitfield) from mask into the local _mask.
const GLubyte * | getMask () const
| get a pointer to the mask.
virtual void | apply (State &state) const
| apply the OpenGL state attributes.
## Protected Member Functions
virtual | ~PolygonStipple ()
## Protected Attributes
GLubyte | _mask [128]

## Constructor & Destructor Documentation

osg::PolygonStipple::PolygonStipple | ( |  | ) |

osg::PolygonStipple::PolygonStipple | ( | const PolygonStipple & | lw,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::PolygonStipple::~PolygonStipple | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osg::PolygonStipple::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::PolygonStipple::compare | ( | const StateAttribute & | sa | ) | const`[virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

const GLubyte* osg::PolygonStipple::getMask | ( |  | ) | const`[inline]`

| get a pointer to the mask.

virtual bool osg::PolygonStipple::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

| Return the modes associated with this StateAttribute. Reimplemented from osg::StateAttribute.

osg::PolygonStipple::META_StateAttribute | ( | osg | ,
|  | PolygonStipple | ,
|  | POLYGONSTIPPLE |
| ) |

void osg::PolygonStipple::setMask | ( | const GLubyte * | mask | ) |

| set the mask up, copying 128 bytes (32x32 bitfield) from mask into the local _mask.

## Member Data Documentation

GLubyte osg::PolygonStipple::_mask[128]`[protected]`

The documentation for this class was generated from the following file:

- PolygonStipple